.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"	$NetBSD: ser.4,v 1.5 2001/09/11 22:52:55 wiz Exp $
.\"
.Dd August 30, 1994
.Dt SER 4 amiga
.Os
.Sh NAME
.Nm ser
.Nd
.Tn Amiga 8520
serial communications interface
.Sh SYNOPSIS
.Cd "ser0 at mainbus0"
.Sh DESCRIPTION
The
.Tn Amiga 8520
controls, among other things, a single port
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interface with a single character buffer.
Such an interface is built-in to all Amiga machines.
.Pp
Input and output for each line may set to one of following baud rates;
50, 75, 110, 134.5, 150, 300, 600, 1200, 1800, 2400, 4800, 9600,
19200, 38400, 57600 or 76800.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/tty00
.El
.Sh DIAGNOSTICS
.Bl -diag
.It ser0: silo overflow.
The single-character input
.Dq silo
has overflowed and incoming data has been lost.
.It ser0: %d ring buffer overflows.
The software based input ring buffer
has overflowed %d times and incoming data has been lost.
.El
.Sh SEE ALSO
.Xr tty 4
.Sh HISTORY
The
.Tn Amiga
.Nm
device first appeared in
.Nx 1.0
.Sh BUGS
Data loss is possible on busy systems with baud rates greater than 300.
